Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 586:2a3ba82cf243
prev542:96c5494e02fd
next614:a2d239d4438a
author nkeynes
date Mon Jan 28 02:37:09 2008 +0000 (16 years ago)
permissions -rw-r--r--
last change Add general purpose relative filename helper
file annotate diff log raw
1.1 --- a/configure Wed Nov 21 11:52:13 2007 +0000
1.2 +++ b/configure Mon Jan 28 02:37:09 2008 +0000
1.3 @@ -687,6 +687,8 @@
1.4 CCDEPMODE
1.5 am__fastdepCC_TRUE
1.6 am__fastdepCC_FALSE
1.7 +CCAS
1.8 +CCASFLAGS
1.9 CPP
1.10 GREP
1.11 EGREP
1.12 @@ -709,6 +711,8 @@
1.13 GUI_GTK_FALSE
1.14 BUILD_SH4X86_TRUE
1.15 BUILD_SH4X86_FALSE
1.16 +BUILD_X86_64_TRUE
1.17 +BUILD_X86_64_FALSE
1.18 ESOUND_CFLAGS
1.19 ESOUND_LIBS
1.20 AUDIO_ESOUND_TRUE
1.21 @@ -728,6 +732,7 @@
1.22 GETTEXT_PACKAGE
1.23 USE_NLS
1.24 MSGFMT
1.25 +MSGFMT_OPTS
1.26 GMSGFMT
1.27 XGETTEXT
1.28 CATALOGS
1.29 @@ -1341,6 +1346,10 @@
1.30 (and sometimes confusing) to the casual installer
1.31 --disable-dependency-tracking Speeds up one-time builds
1.32 --enable-dependency-tracking Do not reject slow dependency extractors
1.33 + --enable-trace Enable generation of IO traces (warning: hurts
1.34 + performance)
1.35 + --enable-watch Enable watchpoints in the debugger (warning: hurts
1.36 + performance)
1.37
1.38 Some influential environment variables:
1.39 CC C compiler command
1.40 @@ -4293,6 +4302,13 @@
1.41 *) CC="$CC $am_cv_prog_cc_stdc" ;;
1.42 esac
1.43
1.44 +# By default we simply use the C compiler to build assembly code.
1.45 +
1.46 +: ${CCAS='$(CC)'}
1.47 +# Set ASFLAGS if not already set.
1.48 +: ${CCASFLAGS='$(CFLAGS)'}
1.49 +
1.50 +
1.51 ac_ext=c
1.52 ac_cpp='$CPP $CPPFLAGS'
1.53 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.54 @@ -4943,6 +4959,27 @@
1.55 case $host_os in *\ *) host_os=`echo "$host_os" | sed 's/ /-/g'`;; esac
1.56
1.57
1.58 +# Check whether --enable-trace was given.
1.59 +if test "${enable_trace+set}" = set; then
1.60 + enableval=$enable_trace; if test "$enableval" == "yes"; then
1.61 +
1.62 +cat >>confdefs.h <<\_ACEOF
1.63 +#define ENABLE_TRACE_IO 1
1.64 +_ACEOF
1.65 +
1.66 + fi
1.67 +fi
1.68 +
1.69 +# Check whether --enable-watch was given.
1.70 +if test "${enable_watch+set}" = set; then
1.71 + enableval=$enable_watch; if test "$enableval" == "yes"; then
1.72 +
1.73 +cat >>confdefs.h <<\_ACEOF
1.74 +#define ENABLE_WATCH 1
1.75 +_ACEOF
1.76 +
1.77 + fi
1.78 +fi
1.79
1.80 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
1.81
1.82 @@ -5848,6 +5885,16 @@
1.83
1.84
1.85
1.86 +if test "$SH4_TRANSLATOR" = "x86_64"; then
1.87 + BUILD_X86_64_TRUE=
1.88 + BUILD_X86_64_FALSE='#'
1.89 +else
1.90 + BUILD_X86_64_TRUE='#'
1.91 + BUILD_X86_64_FALSE=
1.92 +fi
1.93 +
1.94 +
1.95 +
1.96 pkg_failed=no
1.97 { echo "$as_me:$LINENO: checking for ESOUND" >&5
1.98 echo $ECHO_N "checking for ESOUND... $ECHO_C" >&6; }
1.99 @@ -5906,7 +5953,9 @@
1.100 # Put the nasty error message in config.log where it belongs
1.101 echo "$ESOUND_PKG_ERRORS" >&5
1.102
1.103 - echo "Warning: esound not found - building without audio support"
1.104 + { echo "$as_me:$LINENO: result: no" >&5
1.105 +echo "${ECHO_T}no" >&6; }
1.106 + echo "Warning: esound not found - building without audio support"
1.107 elif test $pkg_failed = untried; then
1.108 echo "Warning: esound not found - building without audio support"
1.109 else
1.110 @@ -6562,7 +6611,7 @@
1.111
1.112 fi
1.113 fi
1.114 - USE_NLS=yes
1.115 + USE_NLS=yes
1.116
1.117
1.118 gt_cv_have_gettext=no
1.119 @@ -7517,6 +7566,35 @@
1.120 fi
1.121 done
1.122
1.123 + MSGFMT_OPTS=
1.124 + { echo "$as_me:$LINENO: checking if msgfmt accepts -c" >&5
1.125 +echo $ECHO_N "checking if msgfmt accepts -c... $ECHO_C" >&6; }
1.126 + cat >conftest.foo <<_ACEOF
1.127 +
1.128 +msgid ""
1.129 +msgstr ""
1.130 +"Content-Type: text/plain; charset=UTF-8\n"
1.131 +"Project-Id-Version: test 1.0\n"
1.132 +"PO-Revision-Date: 2007-02-15 12:01+0100\n"
1.133 +"Last-Translator: test <foo@bar.xx>\n"
1.134 +"Language-Team: C <LL@li.org>\n"
1.135 +"MIME-Version: 1.0\n"
1.136 +"Content-Transfer-Encoding: 8bit\n"
1.137 +
1.138 +_ACEOF
1.139 +if { (echo "$as_me:$LINENO: \$MSGFMT -c -o /dev/null conftest.foo") >&5
1.140 + ($MSGFMT -c -o /dev/null conftest.foo) 2>&5
1.141 + ac_status=$?
1.142 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.143 + (exit $ac_status); }; then
1.144 + MSGFMT_OPTS=-c; { echo "$as_me:$LINENO: result: yes" >&5
1.145 +echo "${ECHO_T}yes" >&6; }
1.146 +else { echo "$as_me:$LINENO: result: no" >&5
1.147 +echo "${ECHO_T}no" >&6; }
1.148 +echo "$as_me: failed input was:" >&5
1.149 +sed 's/^/| /' conftest.foo >&5
1.150 +fi
1.151 +
1.152 # Extract the first word of "gmsgfmt", so it can be a program name with args.
1.153 set dummy gmsgfmt; ac_word=$2
1.154 { echo "$as_me:$LINENO: checking for $ac_word" >&5
1.155 @@ -7996,6 +8074,13 @@
1.156 Usually this means the macro was only invoked conditionally." >&2;}
1.157 { (exit 1); exit 1; }; }
1.158 fi
1.159 +if test -z "${BUILD_X86_64_TRUE}" && test -z "${BUILD_X86_64_FALSE}"; then
1.160 + { { echo "$as_me:$LINENO: error: conditional \"BUILD_X86_64\" was never defined.
1.161 +Usually this means the macro was only invoked conditionally." >&5
1.162 +echo "$as_me: error: conditional \"BUILD_X86_64\" was never defined.
1.163 +Usually this means the macro was only invoked conditionally." >&2;}
1.164 + { (exit 1); exit 1; }; }
1.165 +fi
1.166 if test -z "${AUDIO_ESOUND_TRUE}" && test -z "${AUDIO_ESOUND_FALSE}"; then
1.167 { { echo "$as_me:$LINENO: error: conditional \"AUDIO_ESOUND\" was never defined.
1.168 Usually this means the macro was only invoked conditionally." >&5
1.169 @@ -8634,6 +8719,8 @@
1.170 CCDEPMODE!$CCDEPMODE$ac_delim
1.171 am__fastdepCC_TRUE!$am__fastdepCC_TRUE$ac_delim
1.172 am__fastdepCC_FALSE!$am__fastdepCC_FALSE$ac_delim
1.173 +CCAS!$CCAS$ac_delim
1.174 +CCASFLAGS!$CCASFLAGS$ac_delim
1.175 CPP!$CPP$ac_delim
1.176 GREP!$GREP$ac_delim
1.177 EGREP!$EGREP$ac_delim
1.178 @@ -8655,8 +8742,6 @@
1.179 GUI_GTK_TRUE!$GUI_GTK_TRUE$ac_delim
1.180 GUI_GTK_FALSE!$GUI_GTK_FALSE$ac_delim
1.181 BUILD_SH4X86_TRUE!$BUILD_SH4X86_TRUE$ac_delim
1.182 -BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
1.183 -ESOUND_CFLAGS!$ESOUND_CFLAGS$ac_delim
1.184 _ACEOF
1.185
1.186 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
1.187 @@ -8698,6 +8783,10 @@
1.188 ac_delim='%!_!# '
1.189 for ac_last_try in false false false false false :; do
1.190 cat >conf$$subs.sed <<_ACEOF
1.191 +BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
1.192 +BUILD_X86_64_TRUE!$BUILD_X86_64_TRUE$ac_delim
1.193 +BUILD_X86_64_FALSE!$BUILD_X86_64_FALSE$ac_delim
1.194 +ESOUND_CFLAGS!$ESOUND_CFLAGS$ac_delim
1.195 ESOUND_LIBS!$ESOUND_LIBS$ac_delim
1.196 AUDIO_ESOUND_TRUE!$AUDIO_ESOUND_TRUE$ac_delim
1.197 AUDIO_ESOUND_FALSE!$AUDIO_ESOUND_FALSE$ac_delim
1.198 @@ -8716,6 +8805,7 @@
1.199 GETTEXT_PACKAGE!$GETTEXT_PACKAGE$ac_delim
1.200 USE_NLS!$USE_NLS$ac_delim
1.201 MSGFMT!$MSGFMT$ac_delim
1.202 +MSGFMT_OPTS!$MSGFMT_OPTS$ac_delim
1.203 GMSGFMT!$GMSGFMT$ac_delim
1.204 XGETTEXT!$XGETTEXT$ac_delim
1.205 CATALOGS!$CATALOGS$ac_delim
1.206 @@ -8733,7 +8823,7 @@
1.207 LTLIBOBJS!$LTLIBOBJS$ac_delim
1.208 _ACEOF
1.209
1.210 - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 33; then
1.211 + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 38; then
1.212 break
1.213 elif $ac_last_try; then
1.214 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
.